math::TFunction< class > Class Template Reference

`#include <library.h>`

## Public Member Functions

| TFunction (const TFunction< T > &)
| TFunction (const std::string &AName, const std::string &AExprStr=std::string())
| TFunction (const std::string &AName, const TNode< T > *AExprTree)
T | call (const T &AParam, const TLibrary< T > &ALibrary, unsigned ALimit=64) const
void | name (const std::string &)
std::string | name () const
void | expression (const TNode< T > *ACopyOf)
void | expression (const std::string &AExprStr)
TNode< T > * | expression () const

## Detailed Description

### template<class>
class math::TFunction< class >

TFunction<> is used for multiple function management as done by TLibrary<>.

Definition at line 34 of file calculator.h.

The documentation for this class was generated from the following files:

- calculator.h
- library.h